# Type alias RulerLine

RulerLine: { color?: string; position?: number; size?: number; type?: "solid" | "dashed" }

Ruler line settings.

#### Type declaration

- ##### `Optional` color?: string

  Line color.

- ##### `Optional` position?: number

  The vertical position of the ruler as a percentage, starting from the bottom. The valid value must be in the range 0-100.

- ##### `Optional` size?: number

  The ruler line width.

- ##### `Optional` type?: "solid" | "dashed"

  Line type.